Bug 245225 - perl-GD build warning perl-GD-2.35-2.fc6.src.rpm
perl-GD build warning perl-GD-2.35-2.fc6.src.rpm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-GD (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 15:18 EDT by R P Herrold
Modified: 2008-07-21 15:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 15:04:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2007-06-21 15:18:07 EDT
Description of problem:

perl-GD emits header related warnings during its build -- eitehr its
expectation, of that of gd-devel as to header placement are wrong, and the
warning should be addressed

Version-Release number of selected component (if applicable):

perl-GD-2.35-2.fc6.src.rpm

$ rpm -qf /usr/include/gd.h
gd-devel-2.0.33-9.3.fc6


How reproducible:

rpmbuild --rebuild perl-GD-2.35-2.fc6.src.rpm 2>&1 | grep Warning

Steps to Reproduce:
1.
2.
3.
  
Actual results:

(from my error and warning checker) Error: perl cruft found -|1|-

** WARNING: found gd.h header file in /usr/include/gd.h, but it is expected at
/usr/include/gd.h. This may cause compile errors! **


Expected results:

no warning to stderr, and no error as well [ a > /dev/null is inappropriate  ;) ]

Additional info:
Comment 1 Jose Pedro Oliveira 2007-06-21 20:13:13 EDT
This patch eliminates the warning (but using File::Spec should provide a better
solution):


diff -ruN GD-2.35-orig/Makefile.PL GD-2.35/Makefile.PL
--- GD-2.35-orig/Makefile.PL»···2006-08-17 23:10:31.000000000 +0100
+++ GD-2.35/Makefile.PL»2007-06-22 01:07:14.000000000 +0100
@@ -295,6 +295,11 @@
   my $problems;
   foreach (keys %libraries) {
     s/\blib\b/include/;
+    #
+    # The previous statement changes "/usr/lib/" into "/usr/include/" and
+    # that fails to match the %official_libraries hash "/usr/include" key
+    #
+    s/\/$//;
     next if $official_libraries{$_};
·
     next unless -e "${_}/gd.h";
Comment 2 Bug Zapper 2008-04-04 08:50:53 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 R P Herrold 2008-04-08 14:01:53 EDT
This bug continues with the latest RawHide and perl-GD-2.35-7.fc9.src.rpm


Checking for stray libgd header files...

** WARNING: found gd.h header file in /usr/include/gd.h, but it is expected at
/usr/include/gd.h. This may cause compile errors! **
** Possible problems found **

+ make -j2 'OPTIMIZE=-O2 -g -pipe -Wall -Wp,-D_FORTIF
Comment 4 Tom "spot" Callaway 2008-07-21 15:04:28 EDT
Fixed in rawhide (2.39-1).

Note You need to log in before you can comment on or make changes to this bug.